Skip to main content
GET
Get validator state information
You can query this endpoint by using the vote_accountaddress of a validator as the validator_id. The granularity of the results are at a daily level.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

validator_id
string
required

Query Parameters

limit
integer
default:15

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

toDate
string<date> | null

End date

Example:

"2023-12-31"

fromDate
string<date> | null

Start date

Example:

"2023-01-01"

from
string<date> | null

UTC day for filtering state data

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
SolanaValidatorState · object[]
required